﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.Controls;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter;

namespace InfraTestBase
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void tcMain_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            TabItemEx selectedTab = this.tcMain.SelectedItem as TabItemEx;
            if (selectedTab.Name.Equals("tiePreview1"))
            {
                Report report = new Report();
                EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(idg1);
                report.Sections.Add(section);
                report.PageContentTemplate = this.TryFindResource("basicContentTemplate") as DataTemplate;

                this.XamReportPreview1.GeneratePreview(report, false, false);
            }

        }
    }
}
